| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ListOfFeatures Struct Reference
Subscriber Features

List of Subscriber/Feature Profile Features. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__CfACR * | CfACR
| Anonymous Caller Rejection. More...
struct unsp__CfAcctCode * | CfAcctCode
| Account Codes. More...
struct unsp__CfAuthCode * | CfAuthCode
| Authorization Code. More...
struct unsp__CfBgCPU * | CfBgCPU
struct unsp__CfBgCT * | CfBgCT
| Call Transfer. More...
struct unsp__CfBgDAPPS * | CfBgDAPPS
| Name Permanent Presentation Status. More...
struct unsp__CfBgDNPPS * | CfBgDNPPS
| Number Permanent Presentation Status. More...
struct unsp__CfCFB * | CfCFB
| Call Forwarding Busy Line. More...
struct unsp__CfCFDA * | CfCFDA
| Call Forwarding Don't Answer. More...
struct unsp__CfCFR * | CfCFR
| Call Forward Restrictions. More...
struct unsp__CfCFV * | CfCFV
| Call Forwarding - All Calls. More...
struct unsp__CfCIDS * | CfCIDS
| Calling Identity Delivery and Suppression. More...
struct unsp__CfCT * | CfCT
struct unsp__CfCSTA * | CfCSTA
| CSTA. More...
struct unsp__CfLONR * | CfLONR
| Last Outgoing Number Redial. More...
struct unsp__CfLINR * | CfLINR
| Last Incoming Number Redial. More...
struct unsp__CfCCBS * | CfCCBS
| Completion of Calls on Busy Subscriber. More...
struct unsp__CfCCNR * | CfCCNR
| Completion of Calls on No Reply. More...
struct unsp__CfCOLP * | CfCOLP
| Connected Line Identification Presentation. More...
struct unsp__CfDND * | CfDND
| Do Not Disturb. More...
struct unsp__CfDTF * | CfDTF
| Deny Terminating Feature. More...
struct unsp__CfECF * | CfECF
| Time-of-Day Call Forwarding. More...
struct unsp__CfFSN * | CfFSN
struct unsp__CfHotDesk * | CfHotDesk
| Hot Desking. More...
struct unsp__CfMCT * | CfMCT
| Customer-Originated Trace. More...
struct unsp__CfMOH * | CfMOH
| Music On Hold. More...
struct unsp__CfONS * | CfONS
| One Number Service. More...
struct unsp__CfRACF * | CfRACF
| Remote Activation of Call Forwarding. More...
struct unsp__CfRCF * | CfRCF
| Remote Call Forwarding. More...
struct unsp__CfRFA * | CfRFA
| Remote Feature Access. More...
struct unsp__CfSCA * | CfSCA
| Selective Call Acceptance. More...
struct unsp__CfSCF * | CfSCF
| Selective Call Forwarding. More...
struct unsp__CfSCR * | CfSCR
| Selective Call Rejecting. More...
struct unsp__CfSERRNG * | CfSERRNG
| Serial Ringing. More...
struct unsp__CfSPCALL * | CfSPCALL
| Station Speed Calling. More...
struct unsp__CfSR * | CfSR
| Station Restriction. More...
struct unsp__CfSRS * | CfSRS
| Simultaneous Ringing. More...
struct unsp__CfTRS * | CfTRS
| Toll and Call Restrictions. More...
struct unsp__CfUSCFV * | CfUSCFV
struct unsp__CfVM * | CfVM
| Call Forwarding Voice Mail. More...
struct unsp__CfSCC * | CfSCC
| Station Controlled Conference. More...
struct unsp__CfCPUD * | CfCPUD
| Call Pickup Directed. More...
struct unsp__CfCFDISP * | CfCFDISP
| Call Forward Display Information. More...
struct unsp__CfEXO * | CfEXO
| Executive Override. More...
struct unsp__CfCFSIE * | CfCFSIE
| Call Forward System Internal External. More...
struct unsp__CfBgSpDial * | CfBgSpDial
| System Speed Dial. More...
struct unsp__CfCFD * | CfCFD
| Call Forward Unreachable (Dependable). More...
struct unsp__CfSILM * | CfSILM
struct unsp__CfSILMProtection * | CfSILMProtection
struct unsp__CfSILMTag * | CfSILMTag
struct unsp__CfCPS * | CfCPS
| Call Park to Server. More...
struct unsp__CfACCB * | CfACCB
| Automatic Collect Call Blocking for Brazil. More...
struct unsp__CfCRS * | CfCRS
| CSTA Routing Service. More...
struct unsp__CfSILMS * | CfSILMS
| Silent Monitoring Supervisor. More...
struct unsp__CfSILMA * | CfSILMA
| Silent Monitoring Agent. More...
struct unsp__CfCFO * | CfCFO
| Call Forwarding Override. More...
struct unsp__CfCIDSU * | CfCIDSU
| Calling Identity Delivery and Suppression User controlled. More...
struct unsp__CfACID * | CfACID
| Alternative Calling Identity Delivery. More...
struct unsp__CfPNP * | CfPNP
| Precedence and Preemption. More...
struct unsp__CfPCD * | CfPCD
| Precedence Call Diversion. More...

## Detailed Description

List of Subscriber/Feature Profile Features.

## Member Data Documentation

## ◆ CfACCB

struct unsp__CfACCB* unsp__ListOfFeatures::CfACCB

Automatic Collect Call Blocking for Brazil.

required: false

## ◆ CfAcctCode

struct unsp__CfAcctCode* unsp__ListOfFeatures::CfAcctCode

Account Codes.

required: false

## ◆ CfACID

struct unsp__CfACID* unsp__ListOfFeatures::CfACID

Alternative Calling Identity Delivery.

required: false

## ◆ CfACR

struct unsp__CfACR* unsp__ListOfFeatures::CfACR

Anonymous Caller Rejection.

required: false

## ◆ CfAuthCode

struct unsp__CfAuthCode* unsp__ListOfFeatures::CfAuthCode

Authorization Code.

required: false

## ◆ CfBgCPU

struct unsp__CfBgCPU* unsp__ListOfFeatures::CfBgCPU

- Deprecated:
    NA

## ◆ CfBgCT

struct unsp__CfBgCT* unsp__ListOfFeatures::CfBgCT

Call Transfer.

required: false

## ◆ CfBgDAPPS

struct unsp__CfBgDAPPS* unsp__ListOfFeatures::CfBgDAPPS

Name Permanent Presentation Status.

required: false

## ◆ CfBgDNPPS

struct unsp__CfBgDNPPS* unsp__ListOfFeatures::CfBgDNPPS

Number Permanent Presentation Status.

required: false

## ◆ CfBgSpDial

struct unsp__CfBgSpDial* unsp__ListOfFeatures::CfBgSpDial

System Speed Dial.

required: false

## ◆ CfCCBS

struct unsp__CfCCBS* unsp__ListOfFeatures::CfCCBS

Completion of Calls on Busy Subscriber.

required: false

## ◆ CfCCNR

struct unsp__CfCCNR* unsp__ListOfFeatures::CfCCNR

Completion of Calls on No Reply.

required: false

## ◆ CfCFB

struct unsp__CfCFB* unsp__ListOfFeatures::CfCFB

Call Forwarding Busy Line.

required: false

## ◆ CfCFD

struct unsp__CfCFD* unsp__ListOfFeatures::CfCFD

Call Forward Unreachable (Dependable).

required: false

## ◆ CfCFDA

struct unsp__CfCFDA* unsp__ListOfFeatures::CfCFDA

Call Forwarding Don't Answer.

required: false

## ◆ CfCFDISP

struct unsp__CfCFDISP* unsp__ListOfFeatures::CfCFDISP

Call Forward Display Information.

required: false

## ◆ CfCFO

struct unsp__CfCFO* unsp__ListOfFeatures::CfCFO

Call Forwarding Override.

required: false

## ◆ CfCFR

struct unsp__CfCFR* unsp__ListOfFeatures::CfCFR

Call Forward Restrictions.

required: false

## ◆ CfCFSIE

struct unsp__CfCFSIE* unsp__ListOfFeatures::CfCFSIE

Call Forward System Internal External.

required: false

## ◆ CfCFV

struct unsp__CfCFV* unsp__ListOfFeatures::CfCFV

Call Forwarding - All Calls.

required: false

## ◆ CfCIDS

struct unsp__CfCIDS* unsp__ListOfFeatures::CfCIDS

Calling Identity Delivery and Suppression.

required: false

## ◆ CfCIDSU

struct unsp__CfCIDSU* unsp__ListOfFeatures::CfCIDSU

Calling Identity Delivery and Suppression User controlled.

required: false

## ◆ CfCOLP

struct unsp__CfCOLP* unsp__ListOfFeatures::CfCOLP

Connected Line Identification Presentation.

required: false

## ◆ CfCPS

struct unsp__CfCPS* unsp__ListOfFeatures::CfCPS

Call Park to Server.

required: false

## ◆ CfCPUD

struct unsp__CfCPUD* unsp__ListOfFeatures::CfCPUD

Call Pickup Directed.

required: false

## ◆ CfCRS

struct unsp__CfCRS* unsp__ListOfFeatures::CfCRS

CSTA Routing Service.

required: false

## ◆ CfCSTA

struct unsp__CfCSTA* unsp__ListOfFeatures::CfCSTA

CSTA.

required: false

## ◆ CfCT

struct unsp__CfCT* unsp__ListOfFeatures::CfCT

Deprecated:
  NA

## ◆ CfDND

struct unsp__CfDND* unsp__ListOfFeatures::CfDND

Do Not Disturb.

required: false

## ◆ CfDTF

struct unsp__CfDTF* unsp__ListOfFeatures::CfDTF

Deny Terminating Feature.

required: false

## ◆ CfECF

struct unsp__CfECF* unsp__ListOfFeatures::CfECF

Time-of-Day Call Forwarding.

required: false

## ◆ CfEXO

struct unsp__CfEXO* unsp__ListOfFeatures::CfEXO

Executive Override.

required: false

## ◆ CfFSN

struct unsp__CfFSN* unsp__ListOfFeatures::CfFSN

Deprecated:
  NA

## ◆ CfHotDesk

struct unsp__CfHotDesk* unsp__ListOfFeatures::CfHotDesk

Hot Desking.

required: false

## ◆ CfLINR

struct unsp__CfLINR* unsp__ListOfFeatures::CfLINR

Last Incoming Number Redial.

required: false

## ◆ CfLONR

struct unsp__CfLONR* unsp__ListOfFeatures::CfLONR

Last Outgoing Number Redial.

required: false

## ◆ CfMCT

struct unsp__CfMCT* unsp__ListOfFeatures::CfMCT

Customer-Originated Trace.

required: false

## ◆ CfMOH

struct unsp__CfMOH* unsp__ListOfFeatures::CfMOH

Music On Hold.

required: false

## ◆ CfONS

struct unsp__CfONS* unsp__ListOfFeatures::CfONS

One Number Service.

required: false

## ◆ CfPCD

struct unsp__CfPCD* unsp__ListOfFeatures::CfPCD

Precedence Call Diversion.

required: false

## ◆ CfPNP

struct unsp__CfPNP* unsp__ListOfFeatures::CfPNP

Precedence and Preemption.

required: false

## ◆ CfRACF

struct unsp__CfRACF* unsp__ListOfFeatures::CfRACF

Remote Activation of Call Forwarding.

required: false

## ◆ CfRCF

struct unsp__CfRCF* unsp__ListOfFeatures::CfRCF

Remote Call Forwarding.

required: false

## ◆ CfRFA

struct unsp__CfRFA* unsp__ListOfFeatures::CfRFA

Remote Feature Access.

required: false

## ◆ CfSCA

struct unsp__CfSCA* unsp__ListOfFeatures::CfSCA

Selective Call Acceptance.

required: false

## ◆ CfSCC

struct unsp__CfSCC* unsp__ListOfFeatures::CfSCC

Station Controlled Conference.

required: false

## ◆ CfSCF

struct unsp__CfSCF* unsp__ListOfFeatures::CfSCF

Selective Call Forwarding.

required: false

## ◆ CfSCR

struct unsp__CfSCR* unsp__ListOfFeatures::CfSCR

Selective Call Rejecting.

required: false

## ◆ CfSERRNG

struct unsp__CfSERRNG* unsp__ListOfFeatures::CfSERRNG

Serial Ringing.

required: false

## ◆ CfSILM

struct unsp__CfSILM* unsp__ListOfFeatures::CfSILM

Deprecated:
  NA

## ◆ CfSILMA

struct unsp__CfSILMA* unsp__ListOfFeatures::CfSILMA

Silent Monitoring Agent.

required: false

## ◆ CfSILMProtection

struct unsp__CfSILMProtection* unsp__ListOfFeatures::CfSILMProtection

Deprecated:
  NA

## ◆ CfSILMS

struct unsp__CfSILMS* unsp__ListOfFeatures::CfSILMS

Silent Monitoring Supervisor.

required: false

## ◆ CfSILMTag

struct unsp__CfSILMTag* unsp__ListOfFeatures::CfSILMTag

Deprecated:
  NA

## ◆ CfSPCALL

struct unsp__CfSPCALL* unsp__ListOfFeatures::CfSPCALL

Station Speed Calling.

required: false

## ◆ CfSR

struct unsp__CfSR* unsp__ListOfFeatures::CfSR

Station Restriction.

required: false

## ◆ CfSRS

struct unsp__CfSRS* unsp__ListOfFeatures::CfSRS

Simultaneous Ringing.

required: false

## ◆ CfTRS

struct unsp__CfTRS* unsp__ListOfFeatures::CfTRS

Toll and Call Restrictions.

required: false

## ◆ CfUSCFV

struct unsp__CfUSCFV* unsp__ListOfFeatures::CfUSCFV

Deprecated:
  NA

## ◆ CfVM

struct unsp__CfVM* unsp__ListOfFeatures::CfVM

Call Forwarding Voice Mail.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h